Delete IAM credential
DELETE /api/v1/credentials/id/. Identity and access API reference.
Delete IAM credential
curl --request DELETE \
--url https://{apiHost}/api/v1/credentials/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/credentials/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/credentials/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"token": {
"base64": "<string>"
},
"action": "CrudAction__INVALID__",
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"read": {
"result": {
"code": "CrudResultCode__INVALID__",
"content": {
"oid": {
"base64": "<string>"
},
"encoding": "CrudPayloadEncoding__INVALID__",
"clazz": "ModelClazzUnspecified",
"protobuf": {
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"credential": {
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"policy": {
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
},
"profile": {
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"docPolicy": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"serverHost": "zedcontrol.local.zededa.net",
"latest": false,
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"encryptedSecrets": {},
"cryptoKey": "<string>"
},
"json": {
"json": "<string>"
}
},
"identifier": {
"base64": "<string>"
}
}
},
"query": {
"queryToken": {
"base64": "<string>"
},
"code": "CrudResultCode__INVALID__",
"position": 123,
"size": 123,
"total": 123,
"list": [
{
"code": "CrudResultCode__INVALID__",
"content": {
"oid": {
"base64": "<string>"
},
"encoding": "CrudPayloadEncoding__INVALID__",
"clazz": "ModelClazzUnspecified",
"protobuf": {
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"credential": {
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"policy": {
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
},
"profile": {
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"docPolicy": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"serverHost": "zedcontrol.local.zededa.net",
"latest": false,
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"encryptedSecrets": {},
"cryptoKey": "<string>"
},
"json": {
"json": "<string>"
}
},
"identifier": {
"base64": "<string>"
}
}
],
"globalStatistics": [
{
"clazz": "ModelClazzUnspecified",
"user": {
"total": 123,
"suspended": 123,
"deleted": 123
}
}
],
"queryStatistics": [
{
"clazz": "ModelClazzUnspecified",
"user": {
"total": 123,
"suspended": 123,
"deleted": 123
}
}
],
"clazz": "ModelClazzUnspecified",
"profiles": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"enterprises": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"roles": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"realms": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"credentials": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"users": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
}
],
"summaryByUserActivity": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByRoleDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"policies": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"docPolicies": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"allowedEnterpriseList": {
"enterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"error": "<string>",
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
},
"total": "<string>",
"enterpriseEntitlements": [
{
"entpId": "<string>",
"entpName": "<string>",
"devices": [
{
"size": "DEFAULT_SIZE",
"limit": 123,
"usage": 123
}
],
"userCount": {
"limit": 123,
"usage": 123
},
"plugins": {
"pluginTotalLimit": 123,
"pluginTotalUsage": 123,
"pluginTypeEntitlement": [
{
"pluginType": "PLUGIN_TYPE_UNSPECIFIED",
"pluginTypeLimit": 123,
"pluginTypeUsage": 123
}
]
},
"features": [
{
"name": "<string>",
"active": true,
"subFeatureEntitlement": "<array>"
}
]
}
]
},
"userSummaryReport": {
"users": 123,
"activeUsersCount": 123,
"lastLoggedinUserInfo": {
"name": "<string>",
"lastLoginTime": "2023-11-07T05:31:56Z"
}
},
"userUsagePerEnterpriseList": {
"userUsagePerEntp": [
{
"entpId": "<string>",
"userUsage": "<string>"
}
]
}
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-node level access permission for the operation or does not have access scope to the project.Not Found. The API gateway did not process the request because the requested resource could not be found.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
Response
A successful response.
Show child attributes
Show child attributes
Available options:
CrudAction__INVALID__, CrudActionNotApplicable, CrudActionCreate, CrudActionRead, CrudActionUpdate, CrudActionDelete, CrudActionQuery, CrudActionQueryNext, CrudActionReadSelf, CrudActionUpdateSelf Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Delete IAM credential
curl --request DELETE \
--url https://{apiHost}/api/v1/credentials/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/credentials/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/credentials/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"token": {
"base64": "<string>"
},
"action": "CrudAction__INVALID__",
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"read": {
"result": {
"code": "CrudResultCode__INVALID__",
"content": {
"oid": {
"base64": "<string>"
},
"encoding": "CrudPayloadEncoding__INVALID__",
"clazz": "ModelClazzUnspecified",
"protobuf": {
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"credential": {
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"policy": {
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
},
"profile": {
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"docPolicy": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"serverHost": "zedcontrol.local.zededa.net",
"latest": false,
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"encryptedSecrets": {},
"cryptoKey": "<string>"
},
"json": {
"json": "<string>"
}
},
"identifier": {
"base64": "<string>"
}
}
},
"query": {
"queryToken": {
"base64": "<string>"
},
"code": "CrudResultCode__INVALID__",
"position": 123,
"size": 123,
"total": 123,
"list": [
{
"code": "CrudResultCode__INVALID__",
"content": {
"oid": {
"base64": "<string>"
},
"encoding": "CrudPayloadEncoding__INVALID__",
"clazz": "ModelClazzUnspecified",
"protobuf": {
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"credential": {
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"policy": {
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
},
"profile": {
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
},
"docPolicy": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"serverHost": "zedcontrol.local.zededa.net",
"latest": false,
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"encryptedSecrets": {},
"cryptoKey": "<string>"
},
"json": {
"json": "<string>"
}
},
"identifier": {
"base64": "<string>"
}
}
],
"globalStatistics": [
{
"clazz": "ModelClazzUnspecified",
"user": {
"total": 123,
"suspended": 123,
"deleted": 123
}
}
],
"queryStatistics": [
{
"clazz": "ModelClazzUnspecified",
"user": {
"total": 123,
"suspended": 123,
"deleted": 123
}
}
],
"clazz": "ModelClazzUnspecified",
"profiles": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"defaultRoleId": "<string>",
"title": "<string>",
"id": "<string>",
"enterpriseId": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"oauthProfile": {
"OIDCEndPoint": "<string>",
"clientID": "<string>",
"clientSecret": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"roleScope": "<string>",
"jwtAuthProfile": {
"alg": "None"
},
"idpId": "<string>",
"additionalParameters": "<string>"
},
"passwordProfile": {
"minLength": 123,
"maxLength": 123,
"minNumericChars": 123,
"minSymbolChars": 123,
"minUppercaseChars": 123,
"minLowercaseChars": 123,
"maxPasswordAge": 123,
"minPasswordAge": 123,
"numPrevPasswordCheck": 123,
"passwordExpiryNotificationPeriodInSeconds": 123
},
"testOnly": true,
"active": true,
"description": "<string>",
"profileType": "AUTH_PROFILE_TYPE_UNSPECIFIED",
"disableAutoUserCreate": true,
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"enterprises": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"roles": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"realms": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"credentials": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "<string>",
"owner": "<string>",
"type": "CREDENTIAL_TYPE_UNSPECIFIED",
"currentCred": "<string>",
"newCred": "<string>",
"forgot": true,
"salt": 123
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"users": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
}
],
"summaryByUserActivity": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByRoleDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"policies": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"docPolicies": {
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"policyName": "xxxxxxxxx",
"version": "xxxxxxx",
"fileURL": "xxxxxxxx",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
},
"allowedEnterpriseList": {
"enterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"error": "<string>",
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
},
"total": "<string>",
"enterpriseEntitlements": [
{
"entpId": "<string>",
"entpName": "<string>",
"devices": [
{
"size": "DEFAULT_SIZE",
"limit": 123,
"usage": 123
}
],
"userCount": {
"limit": 123,
"usage": 123
},
"plugins": {
"pluginTotalLimit": 123,
"pluginTotalUsage": 123,
"pluginTypeEntitlement": [
{
"pluginType": "PLUGIN_TYPE_UNSPECIFIED",
"pluginTypeLimit": 123,
"pluginTypeUsage": 123
}
]
},
"features": [
{
"name": "<string>",
"active": true,
"subFeatureEntitlement": "<array>"
}
]
}
]
},
"userSummaryReport": {
"users": 123,
"activeUsersCount": 123,
"lastLoggedinUserInfo": {
"name": "<string>",
"lastLoginTime": "2023-11-07T05:31:56Z"
}
},
"userUsagePerEnterpriseList": {
"userUsagePerEntp": [
{
"entpId": "<string>",
"userUsage": "<string>"
}
]
}
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}